# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/input/touchscreen/maxim,max11801.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: MAXI MAX11801 Resistive touch screen controller with i2c interface

maintainers:
  - Frank Li <Frank.Li@nxp.com>

properties:
  compatible:
    const: maxim,max11801

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

allOf:
  - $ref: touchscreen.yaml

required:
  - compatible
  - reg
  - interrupts

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        touchscreen@48 {
            compatible = "maxim,max11801";
            reg = <0x48>;
            interrupt-parent = <&gpio3>;
            interrupts = <31 IRQ_TYPE_EDGE_FALLING>;
        };
    };
